import 'package:flutter/material.dart';

import 'route_path.dart';

class NavigationItem {
  final String labelText;
  final IconData iconData;
  final RoutePath? routePath;
  final List<NavigationItem>? children;

  NavigationItem({
    required this.labelText,
    this.routePath,
    required this.iconData,
    this.children,
  }) : assert(
            routePath == null && children != null ||
                routePath != null && children == null,
            'A NavigationItem requires a routePath or children. It also cannot have both.');
}
